org.apache.http.cookie.params

## Interface CookieSpecPNames

All Known Subinterfaces:
  AllClientPNames

Deprecated.
(4.3) use constructor parameters of `CookieSpecProvider`s.

    @Deprecated
    public interface CookieSpecPNames

Parameter names for HTTP cookie management classes.

Since:
  4.0

### Field Summary

Fields
`static String` `DATE_PATTERNS` Deprecated. Defines valid date patterns to be used for parsing non-standard `expires` attribute.
`static String` `SINGLE_COOKIE_HEADER` Deprecated. Defines whether cookies should be forced into a single `Cookie` request header.

### Field Detail

#### DATE_PATTERNS

    static final String DATE_PATTERNS

Deprecated.
Defines valid date patterns to be used for parsing non-standard `expires` attribute. Only required for compatibility with non-compliant servers that still use `expires` defined in the Netscape draft instead of the standard `max-age` attribute.

This parameter expects a value of type `Collection`. The collection elements must be of type `String` compatible with the syntax of `SimpleDateFormat`.

See Also:
  Constant Field Values

#### SINGLE_COOKIE_HEADER

    static final String SINGLE_COOKIE_HEADER

Deprecated.
Defines whether cookies should be forced into a single `Cookie` request header. Otherwise, each cookie is formatted as a separate `Cookie` header.

This parameter expects a value of type `Boolean`.

See Also:
  Constant Field Values